Show / Hide Table of Contents

# Class ClientLanguageExtensions

Extension methods for the ClientLanguage class.

##### Inheritance

System.Object
ClientLanguageExtensions

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud

###### Assembly: Dalamud.dll

##### Syntax

    public static class ClientLanguageExtensions

### Methods

| Improve this Doc View Source

#### ToLumina(ClientLanguage)

Converts a Dalamud ClientLanguage to the corresponding Lumina variant.

##### Declaration

    public static Language ToLumina(this ClientLanguage language)

##### Parameters

Type | Name | Description
--- | --- | ---
ClientLanguage | language | Language to convert.

##### Returns

Type | Description
--- | ---
Lumina.Data.Language | Converted language.